@nighttrax/eslint-config

    2.2.0 • Public • Published

    Install

    npm i @nighttrax/eslint-config
     
    # Or equivalent. 
    npm i babel-eslint
     
    # These are optional and are required by their respective configs. 
    npm i \
        eslint-plugin-import \
        eslint-plugin-jsx-a11y \
        eslint-plugin-react \
        eslint-plugin-typescript \

    Unfortunately, until eslint/eslint#3458 is resolved, plugins need to be installed manually.

    Use

    // .eslintrc.js
    module.exports = {
      'extends': [
        '@nighttrax/eslint-config/jsx',
      ].map(require.resolve)
    };

    or more granular

    // .eslintrc.js
    module.exports = {
      'extends': [
        '@nighttrax/eslint-config',
        '@nighttrax/eslint-config/react',
        '@nighttrax/eslint-config/react-a11y',
        '@nighttrax/eslint-config/imports'
      ].map(require.resolve)
    };

    Install

    npm i @nighttrax/eslint-config

    DownloadsWeekly Downloads

    10

    Version

    2.2.0

    License

    MIT

    Unpacked Size

    6.3 kB

    Total Files

    12

    Last publish

    Collaborators

    • nighttrax